{if !$location} {var $location = ''} {/if}

{if $wp->isAttachment}

	{if $wp->hasPreviousPost}
	<nav class="nav-single {$location}" role="navigation">
		{capture $prev}{!_x '%s Return to entry', 'previous post' |printf: '<span class="meta-nav">&larr;</span>'}{/capture}
		<span class="nav-previous">{prevPostLink $prev}</span>
	</nav>
	{/if}

{elseif $wp->isSingle}

	{if $wp->hasPreviousPost or $wp->hasNextPost}
	<nav class="nav-single {$location}" role="navigation">
		{if $wp->hasPreviousPost}
			{capture $prev}{!_x '%s Previous', 'previous post' |printf: '<span class="meta-nav">&larr;</span>'}{/capture}
			<span class="nav-previous">{prevPostLink $prev}</span>
		{else}
			{capture $prev}{!_x '%s Previous', 'previous post' |printf: '<span class="meta-nav">&larr;</span>'}{/capture}
			<span class="nav-previous"><span class="pagination-disabled">{!$prev}</span></span>
		{/if}

		{if $wp->hasNextPost}
			{capture $next}{!_x 'Next %s', 'next post' |printf: '<span class="meta-nav">&rarr;</span>'}{/capture}
			<span class="nav-next">{nextPostLink $next}</span>
		{else}
			{capture $next}{!_x 'Next %s', 'next post' |printf: '<span class="meta-nav">&rarr;</span>'}{/capture}
			<span class="nav-next"><span class="pagination-disabled">{!$next}</span></span>
		{/if}
	</nav>
	{/if}

{elseif !$wp->isSingular}

	{if $wp->willPaginate}
	<nav class="nav-pagination" role="navigation">
		{if $wp->hasPreviousPosts}
			{capture $prev}{!__ '&laquo; Previous' |printf: '<span class="meta-nav">&larr;</span>'}{/capture}
			<span class="nav-previous">{prevPostsLink $prev}</span>
		{else}
			{capture $prev}{!__ '&laquo; Previous' |printf: '<span class="meta-nav">&larr;</span>'}{/capture}
			<span class="nav-previous"><span class="pagination-disabled">{!$prev}</span></span>
		{/if}

		{pagination}

		{if $wp->hasNextPosts}
			{capture $next}{!__ 'Next &raquo;' |printf: '<span class="meta-nav">&rarr;</span>'}{/capture}
			<span class="nav-next">{nextPostsLink $next}</span>
		{else}
			{capture $next}{!__ 'Next &raquo;' |printf: '<span class="meta-nav">&rarr;</span>'}{/capture}
			<span class="nav-next"><span class="pagination-disabled">{!$next}</span></span>
		{/if}
	</nav>
	{/if}

{else}
	{* fallback *}
	{if $wp->willPaginate}
	<nav class="nav-posts {$location}" role="navigation">
		{capture $prev}{!__ '%s Newer posts' |printf: '<span class="meta-nav">&larr;</span>'}{/capture}
		{capture $next}{!__ 'Older posts %s' |printf: '<span class="meta-nav">&rarr;</span>'}{/capture}

		<span class="nav-previous">{prevPostsLink $prev}</span>
		<span class="nav-next">{nextPostsLink $next}</span>
	</nav>
	{/if}
{/if}